drop proc in_fininventario_proc
go

create proc in_fininventario_proc
--inicia la toma de inventario
as
declare @siteorig  ud_idsite	--site que inicia inventario
set @siteorig=(select sourcesite from setup)
begin tran
	update in_setup set stkfisi=0
	IF (@@error!=0)
	    BEGIN
	        RAISERROR  20001 'Error Desactivando Inventario en tabla in_setup'
	        ROLLBACK TRAN
	        RETURN(1)
	END
    COMMIT TRAN

    RETURN(0)
go

exec in_fininventario_proc 